/*------------------------------------*\
    ACM Image + Text with background Block CSS
\*------------------------------------*/

.acm-image-and-text-with-backgound-block-container {
  width: 100%;
  background-color: #fff;
  padding: 0 60px 5px 60px;
}

.acm-image-and-text-with-backgound-block-content {
  margin: 0 auto;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: space-between;
  align-items: center;
}


.acm-image-and-text-with-backgound-block-text-right {
  width: 100%;
}

.acm-image-and-text-with-backgound-block-text-right .acm-image-and-text-with-backgound-image-container {
  width: 50%;
  float: left;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.acm-image-and-text-with-backgound-image-container.big_height,
.acm-text-container.big_height{
  min-height: 600px;
  max-height: 600px;
  height: 600px;
}
.acm-image-and-text-with-backgound-image-container.small_height,
.acm-text-container.small_height{
  height: 300px;
  min-height: 300px;
  max-height: 300px;
}
.acm-image-and-text-with-backgound-block-text-right .acm-text-container {
  width: 50%;
  float: right;
}

.acm-image-right-text-left-with-backgound{
  width: 100%;

}

.acm-image-right-text-left-with-backgound .acm-image-and-text-with-backgound-image-container {
  width: 50%;
  float: right;
}

.acm-image-and-text-with-backgound-image-container {
  width: 50%;
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}

.acm-image-right-text-left-with-backgound .acm-text-container {
  align-items: center;
  display: flex;
  width: 50%;
  float: left;

}
.acm-text-container {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-content: flex-start;
  justify-content: space-between;
  align-items: flex-start;
}

.acm-headline-description {
  max-width: 100%;
}

.acm-image-and-text-with-backgound-block-content.blue .acm-headline-description h2 {
  font-size: 42px;
  font-weight: 900;
  line-height: 51px;
  letter-spacing: 0px;
  text-align: left;
  color: #FFF;
  margin: 0 0 30px 0;
}

.acm-image-and-text-with-backgound-block-content.blue .acm-headline-description,
.acm-image-and-text-with-backgound-block-content.blue .acm-headline-description p,
.acm-image-and-text-with-backgound-block-content.blue .acm-image-and-text-with-backgound-block-content ul li {
  font-size: 18px;
  font-weight: 400;
  line-height: 26px;
  letter-spacing: 0.36px;
  color: #FFF;
  text-align: left;
  margin: 0 0 0 0;
}

.acm-image-and-text-with-backgound-block-content.white .acm-headline-description h2 {
  font-size: 42px;
  font-weight: 900;
  line-height: 51px;
  letter-spacing: 0px;
  text-align: left;
  color: #000;
  margin: 0 0 30px 0;
}

.acm-image-and-text-with-backgound-block-content.white .acm-headline-description,
.acm-image-and-text-with-backgound-block-content.white .acm-headline-description p,
.acm-image-and-text-with-backgound-block-content.white .acm-image-and-text-with-backgound-block-content ul li {
  font-size: 18px;
  font-weight: 400;
  line-height: 26px;
  letter-spacing: 0.36px;
  color: #000;
  text-align: left;
  margin: 0 0 10px 0;
}

.acm-ctas {
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
}

.acm-ctas .acm-cta{
  margin: 80px 40px 0 0;
}

.acm-image-and-text-with-backgound-block-content.white .acm-cta.cta-1,
.acm-image-and-text-with-backgound-block-content.white .acm-cta.cta-2{
  border: 1px solid #000;
}

.acm-image-and-text-with-backgound-block-content.blue .acm-cta.cta-1,
.acm-image-and-text-with-backgound-block-content.blue .acm-cta.cta-2{
  border: 1px solid #fff;
}
.acm-image-and-text-with-backgound-block-content.white .acm-cta.cta-1:hover,
.acm-image-and-text-with-backgound-block-content.white .acm-cta.cta-2:hover{
  color: #000;
}
.acm-image-and-text-with-backgound-block-content.blue .acm-cta.cta-1:hover,
.acm-image-and-text-with-backgound-block-content.blue .acm-cta.cta-2:hover{
  color: #000;
}

.acm-image-and-text-with-backgound-block-content.white .acm-cta.cta-1:hover p a,
.acm-image-and-text-with-backgound-block-content.white .acm-cta.cta-2:hover p a {
  color: #000;
}
.acm-image-and-text-with-backgound-block-content.blue .acm-cta.cta-1:hover p a,
.acm-image-and-text-with-backgound-block-content.blue .acm-cta.cta-2:hover p a {
  color: #000;
}

.acm-cta.cta-1{
  width: 100%;
  margin-top: 20px;
  min-width: 230px;
  padding: 22px;
  position: relative;
  transition: all 1s;
  overflow: hidden;
  display: flex;
  flex-wrap: nowrap;
}

.acm-cta.cta-1:before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background-color: darkorange;
  z-index: -1;
  transform: translateX(-100%);
  transition: all 1s;
}
.acm-cta.cta-1:hover {
  border-radius: 0;
  font-weight: 500;
  border: 1px darkorange solid;
  z-index: 1;
}

.acm-cta.cta-1:hover .arrow-read-more,
.acm-cta.cta-2:hover .arrow-read-more{
  filter: brightness(1) invert(1);
} 

.acm-cta.cta-1:hover:before {
  transform: translateX(0);
  z-index: -1;
  color: #000;
}

.acm-cta.cta-2{
  width: 100%;
  margin-top: 20px;
  padding: 22px;
  min-width: 230px;
  transition: all 1s;
  overflow: hidden;
  position: relative;
}

.acm-cta.cta-2:hover {
  border-radius: 0;
  font-weight: 500;
  border: 1px darkorange solid;
  z-index: 1;
}

.acm-cta.cta-2:before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background-color: darkorange;
  z-index: -1;
  transform: translateX(-100%);
  transition: all 1s;
}

.acm-cta.cta-2:hover:before {
  transform: translateX(0);
  z-index: -1;
}

.acm-image-and-text-with-backgound-block-content.white .acm-cta p,
.acm-image-and-text-with-backgound-block-content.white .acm-cta p a{
  color: #000;
}
.acm-image-and-text-with-backgound-block-content.blue .acm-cta p,
.acm-image-and-text-with-backgound-block-content.blue .acm-cta p a{
  color: #fff;
}
.acm-cta p,
.acm-cta p a{
  font-size: 18px;
  font-weight: 400;
  line-height: 26px;
  letter-spacing: 0.36px;
  text-align: left;
  display: flex;
  flex-wrap: nowrap;
  margin-bottom: 0;
}

.acm-image-right-text-left-with-backgound .acm-align-content {
  padding: 0 64px 0 64px;
}
.acm-image-and-text-with-backgound-block-text-right .acm-align-content {
  padding: 0 64px 0 64px;
}
.acm-image-and-text-with-backgound-block-content.white ul li::marker{
  color: #000;
}
.acm-image-and-text-with-backgound-block-content.blue ul li::marker{
  color: #fff;
}
@media screen and (min-width: 1241px) {

}

@media screen and (max-width: 1240px) and (min-width: 1025px) {
  .acm-image-and-text-with-backgound-image-container.small_height, .acm-text-container.small_height {
    height: 400px;
    min-height: 100%;
    max-height: 100%;
}

  .acm-image-and-text-with-backgound-block-text-right .acm-text-container {
    width: 47%;
    float: right;
  }

  .acm-image-right-text-left-with-backgound .acm-text-container {
    width: 47%;
    float: left;
  }

  .acm-headline-description h2 {
      margin: 0 0 16px 0;
  }

  .acm-headline-description p {
    font-size: 18px;
    line-height: 1.4em;
    margin: 6px 0 0 0;
  }

}

@media screen and (max-width: 1024px) and (min-width: 769px) {
  .acm-image-and-text-with-backgound-image-container.small_height, 
  .acm-text-container.small_height {
    height: 400px;
    min-height: 100%;
    max-height: 100%;
 }

  .acm-text-container {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: flex-start;
    justify-content: space-between;
    align-items: flex-start;
  }

  .acm-image-and-text-with-backgound-block-text-right .acm-text-container {
    width: 47%;
    float: right;
  }

  .acm-image-right-text-left-with-backgound .acm-text-container {
    width: 47%;
    float: left;
  }

  .acm-headline-description h2 {
    font-size: 23px;
    line-height: 30px;
    margin: 0 0 20px 0;
  }

  .acm-headline-description p {
    font-size: 16px;
    line-height: 1.3em;
    margin: 6px 0 0 0;
  }

  .acm-cta {
    padding: 22px;
    margin: 10px 0 0 0;
  }

  .acm-cta p a {
    font-size: 16px;
    line-height: 1.3em;
    margin: 12px 0 0 0;
  }
  .acm-text-container.small_height {
      padding: 0 0 0 20px;
  }
  .acm-image-and-text-with-backgound-block-text-right .acm-align-content {
    padding: 0 20px 0 0;
  }
  .acm-image-right-text-left-with-backgound .acm-align-content {
    padding: 0 0 0 20px;
  }

}

@media screen and (max-width: 768px) and (min-width: 481px) {
  .acm-image-and-text-with-backgound-image-container.small_height, 
  .acm-text-container.small_height {
    height: 300px;
    min-height: 100%;
    max-height: 100%;
  }
  .acm-image-and-text-with-backgound-block-text-right .acm-image-and-text-with-backgound-image-container {
    width: 100%;
    float: none;
  }
  .acm-image-and-text-with-backgound-block-text-right .acm-text-container{
    width: 94%;
    min-height: 100%;
    height: 100%;
    max-height: 100%;
    float: left;
    padding-top: 15px;
  }

  .acm-image-right-text-left-with-backgound .acm-image-and-text-with-backgound-image-container {
    width: 100%;
    float: none;
  }

  .acm-image-right-text-left-with-backgound .acm-align-content,
  .acm-image-and-text-with-backgound-block-text-right .acm-align-content {
    padding: 0 64px 70px 64px;
  }

  .acm-image-right-text-left-with-backgound .acm-text-container{
    width: 94%;
    float: left;
    padding-top: 15px;
  }
  .acm-cta {
    padding: 22px;
    margin: 10px 0 0 0;
  }
}

@media screen and (max-width: 480px) {
  .acm-image-and-text-with-backgound-image-container.small_height {
    height: 300px;
    min-height: 100%;
    max-height: 100%;
  }

  .acm-text-container.small_height {
    height: 100%;
    min-height: 100%;
    max-height: 100%;
  }

  .acm-image-and-text-with-backgound-image-container.big_height {
    height: 400px;
    min-height: 100%;
    max-height: 100%;
  }

  .acm-text-container.big_height {
    height: 100%;
    min-height: 100%;
    max-height: 100%;
  }

  .acm-image-and-text-with-backgound-block-container {
    width: 100%;
    background-color: #fff;
    padding: 20px;
  }

  .acm-headline-description {
    max-width: 95%;
  }

  .acm-headline-description h2 {
    margin: 0 0 20px 0;
  }

  .acm-image-and-text-with-backgound-block-text-right .acm-image-and-text-with-backgound-image-container {
    width: 94%;
    float: none;
  }

  .acm-image-and-text-with-backgound-block-text-right .acm-text-container {
    width: 100%;
    float: none;
    padding: 40px 0;
  }

  .acm-image-right-text-left-with-backgound .acm-image-and-text-with-backgound-image-container{
    width: 94%;
    float: none;
  }

  .acm-image-right-text-left-with-backgound .acm-text-container {
    width: 100%;
    float: none;
    padding: 40px 0;
  }

  .acm-cta {
    padding: 22px;
    margin: 10px 0 0 0;
  }

  .acm-image-and-text-with-backgound-image-container img {
    height: auto;
  }
  .acm-image-and-text-with-backgound-block-text-right .acm-image-and-text-with-backgound-image-container,
  .acm-image-right-text-left-with-backgound .acm-image-and-text-with-backgound-image-container {
    width: 100%;
  }
  .acm-image-right-text-left-with-backgound .acm-align-content,
  .acm-image-and-text-with-backgound-block-text-right .acm-align-content {
    padding: 20px;
  }
}
